org.keycloak.saml.common.exceptions

## Class PicketLinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.saml.common.exceptions.PicketLinkException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NotImplementedException

      public class PicketLinkException
      extends RuntimeException

  Any exception that is raised by the security module extends from this runtime exception class, making it easy for other modules and extensions to catch all security-related exceptions in a single catch block, if need be.

  This class is used as the root instead of `SecurityException` to avoid confusion and potential conflicts. Eg.: many other frameworks and products (eg.: JEE containers) relies on the `SecurityException` to perform some special handling.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicketLinkException()`
    `PicketLinkException(String message)`
    `PicketLinkException(String message, Throwable cause)`
    `PicketLinkException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PicketLinkException

          public PicketLinkException()

    - #### PicketLinkException

          public PicketLinkException(String message,
                                     Throwable cause)

    - #### PicketLinkException

          public PicketLinkException(String message)

    - #### PicketLinkException

          public PicketLinkException(Throwable cause)

Copyright © 2021 JBoss by Red Hat. All rights reserved.